Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.network
Class DefaultNode.OrderedHashMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              uchicago.src.sim.network.DefaultNode.OrderedHashMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

Enclosing class:
  DefaultNode

    protected static class DefaultNode.OrderedHashMap

extends java.util.HashMap

HashMap that keeps an ordered list of its keys.

See Also:
  Serialized Form

Constructor Summary
`DefaultNode.OrderedHashMap()`
`DefaultNode.OrderedHashMap(int initialCapacity)`
`DefaultNode.OrderedHashMap(int initialCapacity, float loadFactor)`
`DefaultNode.OrderedHashMap(java.util.Map m)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `remove(java.lang.Object key)`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### DefaultNode.OrderedHashMap

    public DefaultNode.OrderedHashMap(int initialCapacity,
                                      float loadFactor)

### DefaultNode.OrderedHashMap

    public DefaultNode.OrderedHashMap(int initialCapacity)

### DefaultNode.OrderedHashMap

    public DefaultNode.OrderedHashMap()

### DefaultNode.OrderedHashMap

    public DefaultNode.OrderedHashMap(java.util.Map m)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.HashMap`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`
  Overrides:
    `remove` in class `java.util.HashMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.HashMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD